/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 41 - Seguidor de linha com fototransistores
#include <Servo.h>
Servo servoDireito;
Servo servoEsquerdo;
int fototransistorDireito = 1;
int fototransistorEsquerdo = 0;
int motorDireito = 7;
int motorEsquerdo = 8;
int valorLuzDireito;
int valorLuzEsquerdo;
int limite = 50;
int tempoFrente = 60;
int tempoDireita = 60;
int tempoEsquerda = 60;
void setup() {
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  valorLuzDireito = analogRead(fototransistorDireito);
  valorLuzEsquerdo = analogRead(fototransistorEsquerdo);
  if (abs(valorLuzDireito - valorLuzEsquerdo) > limite) {
    if (valorLuzDireito > valorLuzEsquerdo) {
      servoDireito.writeMicroseconds(2000); 
      servoEsquerdo.writeMicroseconds(1500);
      delay(tempoEsquerda); 
    }
    if (valorLuzDireito < valorLuzEsquerdo) {
      servoDireito.writeMicroseconds(1500); 
      servoEsquerdo.writeMicroseconds(1000);
      delay(tempoDireita); 
    }
  }
  else {
    servoDireito.writeMicroseconds(2000); 
    servoEsquerdo.writeMicroseconds(1000); 
    delay(tempoFrente); 
  }
}
