/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 42 - Seguidor de linha com correção proporcional
#include <Servo.h>
Servo servoDireito;
Servo servoEsquerdo;
int fototransistorDireito = 1;
int fototransistorEsquerdo = 0;
int motorDireito = 7;
int motorEsquerdo = 8;
int valorLuzDireito;
int valorLuzEsquerdo;
int diferenca;
int diferencaDireito;
int diferencaEsquerdo;
int sinalDireito;
int sinalEsquerdo;
int limite = 50;
void setup() {
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  valorLuzDireito = analogRead(fototransistorDireito);
  valorLuzEsquerdo = analogRead(fototransistorEsquerdo);
  diferenca = valorLuzDireito - valorLuzEsquerdo;
  diferencaDireito = constrain(diferenca, -limite, 0);
  diferencaEsquerdo = constrain(diferenca, 0, limite);
  sinalDireito = map(diferencaDireito, -limite, 0, 1500, 2100);
  sinalEsquerdo = map(diferencaEsquerdo, 0, limite, 900, 1500);
  servoDireito.writeMicroseconds(sinalDireito); 
  servoEsquerdo.writeMicroseconds(sinalEsquerdo); 
  delay(20);
}
