/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 19 - Indicando proximidade com LEDs
int trig = 7;
int echo = 8;
int ledBranco = 3;
int ledVerde = 4;
int ledAmarelo = 5;
int ledVermelho = 6;
long tempo;
long distancia;
long distancia1;
long distancia2;
long distanciaMedia;
void setup() {
  pinMode(trig, OUTPUT);
  pinMode(ledBranco, OUTPUT);
  pinMode(ledVerde, OUTPUT);
  pinMode(ledAmarelo, OUTPUT);
  pinMode(ledVermelho, OUTPUT);
  pinMode(echo, INPUT);
}
void loop() {
  distancia1 = ultrassom();
  delay(10);
  distancia2 = ultrassom();
  distanciaMedia = (distancia1 + distancia2) / 2;
  if (distanciaMedia >= 200) {
    digitalWrite(ledBranco, HIGH);
    digitalWrite(ledVerde, LOW);
    digitalWrite(ledAmarelo, LOW);
    digitalWrite(ledVermelho, LOW);
  }
  if (distanciaMedia >= 100 && distanciaMedia < 200) {
    digitalWrite(ledBranco, LOW);
    digitalWrite(ledVerde, HIGH);
    digitalWrite(ledAmarelo, LOW);
    digitalWrite(ledVermelho, LOW);
  }
  if (distanciaMedia >= 50 && distanciaMedia < 100) {
    digitalWrite(ledBranco, LOW);
    digitalWrite(ledVerde, LOW);
    digitalWrite(ledAmarelo, HIGH);
    digitalWrite(ledVermelho, LOW);
  }
  if (distanciaMedia < 50) {
    digitalWrite(ledBranco, LOW);
    digitalWrite(ledVerde, LOW);
    digitalWrite(ledAmarelo, LOW);
    digitalWrite(ledVermelho, HIGH);
  }
  delay(100);
}
long ultrassom() {
  digitalWrite(trig, HIGH);
  delayMicroseconds(10); 
  digitalWrite(trig, LOW);
  tempo = pulseIn(echo, HIGH);
  distancia = ((tempo / 29) / 2);
  return distancia;
}
