/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 30a – Realizando manobras com várias funções
#include <Servo.h> 
Servo servoDireito;
Servo servoEsquerdo;
int motorDireito = 7;
int motorEsquerdo = 8;
int tempoFrente = 500;
int tempoDireita = 1100;
int tempoEsquerda = 1100;
void setup() {
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  andarReto();
  curvaEsquerda();
  andarReto();
  curvaEsquerda();
  andarReto();
  curvaDireita();
  andarReto();
  curvaDireita();
  andarReto();
  ficarParado();
}
void andarReto() {
  servoDireito.writeMicroseconds(2100);
  servoEsquerdo.writeMicroseconds(900);
  delay(tempoFrente);
}
void curvaDireita() {
  servoDireito.writeMicroseconds(1500);
  servoEsquerdo.writeMicroseconds(900);
  delay(tempoDireita);
}
void curvaEsquerda() {
  servoDireito.writeMicroseconds(2100);
  servoEsquerdo.writeMicroseconds(1500);
  delay(tempoEsquerda);
}
void ficarParado() {
  while(1) {
    servoDireito.writeMicroseconds(1500);
    servoEsquerdo.writeMicroseconds(1500);
  }
}
