/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 30b - Realizando manobras com uma função
#include <Servo.h> 
Servo servoDireito;
Servo servoEsquerdo;
int motorDireito = 7;
int motorEsquerdo = 8;
int tempoFrente = 500;
int tempoDireita = 1100;
int tempoEsquerda = 1100;
void setup() {
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  movimento (2100, 900, tempoFrente);
  movimento (2100, 1500, tempoEsquerda);
  movimento (2100, 900, tempoFrente);
  movimento (2100, 1500, tempoEsquerda);
  movimento (2100, 900, tempoFrente);
  movimento (1500, 900, tempoDireita);
  movimento (2100, 900, tempoFrente);
  movimento (1500, 900, tempoDireita);
  movimento (2100, 900, tempoFrente);
  ficarParado();
}
void movimento(int direito, int esquerdo, int tempo) {
  servoDireito.writeMicroseconds(direito);
  servoEsquerdo.writeMicroseconds(esquerdo);
  delay(tempo);
}
void ficarParado() {
  while(1) {
    servoDireito.writeMicroseconds(1500);
    servoEsquerdo.writeMicroseconds(1500);
  }
}
