/***************************************************************
*                                                              *
*  Robótica educacional: atividades com o Kit Criatecno CT100  *
*                          2a Edição                           *
*                                                              *
*                          CRIATECNO                           *
*                     www.criatecno.com.br                     *
*                                                              *
***************************************************************/

// Atividade 35 - Locomoção controlada por ultrassom
#include <Servo.h> 
Servo servoDireito;
Servo servoEsquerdo;
int echo = 7;
int trig = 8;
int motorDireito = 6;
int motorEsquerdo = 9;
int frenagem = 50;
int parada = 5;
int ajuste;
long tempo;
long distancia;
long distancia1;
long distancia2;
long distanciaMedia;
void setup() {
  pinMode(echo, INPUT);
  pinMode(trig, OUTPUT);
  servoDireito.attach(motorDireito);
  servoEsquerdo.attach(motorEsquerdo);
}
void loop() {
  distancia1 = ultrassom();
  delay(10);
  distancia2 = ultrassom();
  distanciaMedia = (distancia1 + distancia2) / 2;
  if (distanciaMedia > frenagem) {
    servoDireito.writeMicroseconds(2000);
    servoEsquerdo.writeMicroseconds(1000);
  }
  else {
    if (distanciaMedia > parada) {
      ajuste = map(distancia, frenagem, parada, 0, 400);
      servoDireito.writeMicroseconds(2000 - ajuste);
      servoEsquerdo.writeMicroseconds(1000 + ajuste);
      delay(20);
    }
    else {
      servoDireito.writeMicroseconds(1500);
      servoEsquerdo.writeMicroseconds(1500);
    }
  }
}
long ultrassom() {
  digitalWrite(trig, HIGH);
  delayMicroseconds(10); 
  digitalWrite(trig, LOW);
  tempo = pulseIn(echo, HIGH);
  distancia = ((tempo / 29) / 2);
  return distancia;
}
